import request from '@/utils/request'

// 查询线报群列表
export function listXbgroup(query) {
  return request({
    url: '/jarvis/xbgroup/list',
    method: 'get',
    params: query
  })
}

// 查询线报群详细
export function getXbgroup(groupId) {
  return request({
    url: '/jarvis/xbgroup/' + groupId,
    method: 'get'
  })
}

// 新增线报群
export function addXbgroup(data) {
  return request({
    url: '/jarvis/xbgroup',
    method: 'post',
    data: data
  })
}

// 修改线报群
export function updateXbgroup(data) {
  return request({
    url: '/jarvis/xbgroup',
    method: 'put',
    data: data
  })
}

// 删除线报群
export function delXbgroup(groupId) {
  return request({
    url: '/jarvis/xbgroup/' + groupId,
    method: 'delete'
  })
}

// 导出线报群
export function exportXbgroup(query) {
  return request({
    url: '/jarvis/xbgroup/export',
    method: 'get',
    params: query
  })
}

// 获取群类型下拉选项
export function getGroupTypeOptions() {
  return request({
    url: '/jarvis/xbgroup/select/groupType',
    method: 'get'
  })
}
